WebLogicJDBCDataSource (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.weblogic.WebLogicJDBCDataSource interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.weblogic
Interface WebLogicJDBCDataSource

All Superinterfaces:
  ConfigurationItem, J2EEResource, JDBCDataSource, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareResource

All Known Subinterfaces:
  WebLogicJDBCTxDataSource

    public interface WebLogicJDBCDataSource

extends JDBCDataSource

Represents a WebLogic JDBC Data Source.

Naming Rules:
  0="domain,name" 1="server,name" 2="domain,JNDIName" 3="server,JNDIName"
Persistable:
  true
Display Name:
  JNDIName

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.j2ee.JDBCDataSource
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getJNDIName()`
`WebLogicJDBCConnectionPool` | `getPool()`
`boolean` | `getRowPrefetchEnabled()`
`int` | `getRowPrefetchSize()`
`int` | `getStreamChunkSize()`
`boolean` | `hasJNDIName()`
`boolean` | `hasPool()`
`boolean` | `hasRowPrefetchEnabled()`
`boolean` | `hasRowPrefetchSize()`
`boolean` | `hasStreamChunkSize()`
`void` | `setJNDIName(java.lang.String s)`
`void` | `setPool(WebLogicJDBCConnectionPool s)`
`void` | `setRowPrefetchEnabled(boolean b)`
`void` | `setRowPrefetchSize(int i)`
`void` | `setStreamChunkSize(int i)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEResource
`getDomain, getServer, hasDomain, hasServer, setDomain, setServer`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareResource
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getJNDIName

    java.lang.String getJNDIName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJNDIName

    void setJNDIName(java.lang.String s)

### hasJNDIName

    boolean hasJNDIName()

### getPool

    WebLogicJDBCConnectionPool getPool()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setPool

    void setPool(WebLogicJDBCConnectionPool s)

### hasPool

    boolean hasPool()

### getRowPrefetchSize

    int getRowPrefetchSize()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRowPrefetchSize

    void setRowPrefetchSize(int i)

### hasRowPrefetchSize

    boolean hasRowPrefetchSize()

### getStreamChunkSize

    int getStreamChunkSize()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStreamChunkSize

    void setStreamChunkSize(int i)

### hasStreamChunkSize

    boolean hasStreamChunkSize()

### getRowPrefetchEnabled

    boolean getRowPrefetchEnabled()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRowPrefetchEnabled

    void setRowPrefetchEnabled(boolean b)

### hasRowPrefetchEnabled

    boolean hasRowPrefetchEnabled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD